Package org.apache.maven.scm.provider.cvslib.repository

## Class CvsScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.cvslib.repository.CvsScmProviderRepository

    public class CvsScmProviderRepository
    extends ScmProviderRepositoryWithHost

Author:
  Emmanuel Venisse, Trygve Laugstøl

### Constructor Summary

Constructors
`CvsScmProviderRepository​(java.lang.String cvsroot, java.lang.String transport, java.lang.String user, java.lang.String password, java.lang.String host, int port, java.lang.String path, java.lang.String module)`
`CvsScmProviderRepository​(java.lang.String cvsroot, java.lang.String transport, java.lang.String user, java.lang.String password, java.lang.String host, java.lang.String path, java.lang.String module)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCvsRoot()`
`java.lang.String` `getCvsRootForCvsPass()`
`java.lang.String` `getModule()`
`java.lang.String` `getPath()`
`java.lang.String` `getTransport()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

`getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, getWorkItem, isPersistCheckout, isPushChanges, setPassword, setPersistCheckout, setPushChanges, setUser, setWorkItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CvsScmProviderRepository

    public CvsScmProviderRepository​(java.lang.String cvsroot,
                                    java.lang.String transport,
                                    java.lang.String user,
                                    java.lang.String password,
                                    java.lang.String host,
                                    java.lang.String path,
                                    java.lang.String module)

#### CvsScmProviderRepository

    public CvsScmProviderRepository​(java.lang.String cvsroot,
                                    java.lang.String transport,
                                    java.lang.String user,
                                    java.lang.String password,
                                    java.lang.String host,
                                    int port,
                                    java.lang.String path,
                                    java.lang.String module)

### Method Detail

#### getCvsRoot

    public java.lang.String getCvsRoot()

Returns:
  The cvs root

#### getCvsRootForCvsPass

    public java.lang.String getCvsRootForCvsPass()

Returns:
  The cvs root stored in .cvspass

#### getTransport

    public java.lang.String getTransport()

Returns:
  The subtype (like pserver).

#### getPath

    public java.lang.String getPath()

Returns:
  The path.

#### getModule

    public java.lang.String getModule()

Returns:
  The module name.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`